[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: check pbuilder return code and explain if it was killed by timeout

Holger Levsen holger at moszumanska.debian.org
Fri Oct 16 10:15:45 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 231381ecda2a99fe7fd6e95d9a334cf1c17e70e1
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Oct 16 12:14:43 2015 +0200

    reproducible: check pbuilder return code and explain if it was killed by timeout
---
 bin/reproducible_build.sh | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index a8d27e2..ea51d1b 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -559,6 +559,10 @@ EOF
 		--logfile b1/build.log \
 		${SRCPACKAGE}_${EVERSION}.dsc
 	) 2>&1 | tee -a $RBUILDLOG
+	PRESULT=${PIPESTATUS[0]}
+	if [ $PRESULT -eq 124 ] ; then
+		echo "$(date -u) - pbuilder was killed by timeout after 12h." | tee -a b1/build.log $RBUILDLOG
+	fi
 	if ! "$DEBUG" ; then set +x ; fi
 	rm $TMPCFG
 }
@@ -596,7 +600,11 @@ EOF
 			--basetgz /var/cache/pbuilder/$SUITE-reproducible-base.tgz \
 			--buildresult $TMPDIR/b2 \
 			--logfile b2/build.log \
-			${SRCPACKAGE}_${EVERSION}.dsc || true  # exit with 1 when ftbfs
+			${SRCPACKAGE}_${EVERSION}.dsc | true  # pbuilder exits with 1 on ftbfs, we use | instead of || so we can get the pipestatus
+	PRESULT=${PIPESTATUS[0]}
+	if [ $PRESULT -eq 124 ] ; then
+		echo "$(date -u) - pbuilder was killed by timeout after 12h." | tee -a b2/build.log
+	fi
 	if ! "$DEBUG" ; then set +x ; fi
 	rm $TMPCFG
 }

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list